# delete all data belongs to dataSource, including wells, wellbores, trajectories etc.

delete all data belongs to dataSource, including wells, wellbores, trajectories etc.

Endpoint: DELETE /v1/ingress/data-sources/{dataSource}
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Response 204:

  - `204` (unknown)
    Success

